# -*- tcl -*-
#		ParseTools 0.2, as of April 27, 2001
#		ParseTools @base:mFullVersion@
#
# CVS: $Id: ptInit.tcl,v 1.5 1999/12/11 17:30:34 aku Exp $
#
# @c Initialization file for the script library distributed with the C code.
# @s Initialization file

# Create the namespace for all commands in this extension / package
# Initialize some info variables.

namespace eval ::parsetools {
    variable version 0.2
    variable asOf    April 27, 2001
    namespace export *

    namespace eval ast {
	# This namespace will contain the array variables used to
	# store abstract syntax tree (object)s. Here we also define
	# the code implementing the methods of the tree and node objects.
    }

    namespace eval cmd {
	# This namespace will contain the procedures and variables
	# managing a database of command and associated attributes.
    }
}

# ------------------------------------------------------------------
# Set up the auto-loader to get the commands as they are used.

set dir $::parsetools::library
source [file join $::parsetools::library tclIndex]
unset dir

# ------------------------------------------------------------------

